spring.profiles.active=dev

# The SQL dialect makes Hibernate generate better SQL for the chosen database
spring.jpa.properties.hibernate.dialect = org.hibernate.dialect.PostgreSQLDialect

# Hibernate ddl auto (create, create-drop, validate, update)
#spring.jpa.hibernate.ddl-auto = create
spring.jpa.hibernate.ddl-auto = none

spring.jpa.properties.hibernate.jdbc.lob.non_contextual_creation=true


server.port=8100
server.servlet.context-path=/api/dealership

# This will cause some error
spring.jpa.generate-ddl=false

#Cors filter settings
cors.allow-origin=*
authentication.url=http://localhost:8100/reports-api/authentication/validate-token

#resource properties
authentication.token.timeout=3600
authentication.token.encryption.key=KyEshteCeles1PerteEnkr1ptuarToken



#spring.jackson.serialization.WRITE_DATES_AS_TIMESTAMPS = false